# Module @wormhole-foundation/sdk-base - v0.3.0

## SDK Core

The SDK Core is broken into several logical subpackages

## Base

The `base` package contains:

- constants (e.g. contract addresses, RPC config, Finality, etc...)
- utility types to for accessing and validating constants

## Definitions

The `definitions` package contains:

- definitions for the VAA payload structure layout
- definitions of interfaces for Platforms and ChainContexts
- definitions of protocol interfaces (e.g. TokenBridge, Circle, etc...)
- definitions of types (e.g. Address, TokenId, Signer, etc...)

#####
Index

### References

ArrayLayoutItem
BytesLayoutItem
CustomConversion
DynamicItemsOfLayout
FixedConversion
FixedItemsOfLayout
FixedPrimitiveBytesLayoutItem
FixedPrimitiveNumLayoutItem
FixedSizeArrayLayoutItem
FixedSizeBytesLayoutItem
FixedValueBytesLayoutItem
IntLayoutItem
Layout
LayoutItem
LayoutItemToType
LayoutToType
LengthPrefixedArrayLayoutItem
LengthPrefixedBytesLayoutItem
NamedLayoutItem
NumLayoutItem
ObjectLayoutItem
OptionalToFromNumLayoutItem
UintLayoutItem
addFixedValues
calcLayoutSize
deserializeLayout
dynamicItemsOfLayout
fixedItemsOfLayout
layoutDiscriminator
serializeLayout

### Namespaces

chain
circle
contracts
decimals
encoding
explorer
finality
guardians
layout
nativeChainIds
network
platform
rpc
tokens

### Type Aliases

AllSameLength
And
Cartesian
Chain
ChainId
ChainToPlatform
Column
ConcatStringLiterals
DefinedOrDefault
DistributiveOmit
Entries
ExcludeIndexes
Extends
Flatten
Function
IndexEs
InnerFlatten
IsAny
IsFlat
IsNever
IsRectangular
IsUnion
IsUnionMember
MapLevel
MappableKey
Network
Not
OnlyIndexes
ParseNumber
Platform
PlatformAddressFormat
PlatformToChains
ProtocolName
RoArray
RoArray2D
RoPair
ShallowMapping
ToMapping
ToMappingAndDepth
Unflatten
UnionToIntersection
Widen
Zip

### Variables

chains

### Functions

chainIdToChain
chainToChainId
chainToPlatform
column
constMap
displayAmount
isChain
isPlatform
lazyInstantiate
normalizeAmount
onlyOnce
platformToAddressFormat
platformToChains
range
throws
toChain
toChainId
zip

## References

### ArrayLayoutItem

Re-exports ArrayLayoutItem

### BytesLayoutItem

Re-exports BytesLayoutItem

### CustomConversion

Re-exports CustomConversion

### DynamicItemsOfLayout

Re-exports DynamicItemsOfLayout

### FixedConversion

Re-exports FixedConversion

### FixedItemsOfLayout

Re-exports FixedItemsOfLayout

### FixedPrimitiveBytesLayoutItem

Re-exports FixedPrimitiveBytesLayoutItem

### FixedPrimitiveNumLayoutItem

Re-exports FixedPrimitiveNumLayoutItem

### FixedSizeArrayLayoutItem

Re-exports FixedSizeArrayLayoutItem

### FixedSizeBytesLayoutItem

Re-exports FixedSizeBytesLayoutItem

### FixedValueBytesLayoutItem

Re-exports FixedValueBytesLayoutItem

### IntLayoutItem

Re-exports IntLayoutItem

### Layout

Re-exports Layout

### LayoutItem

Re-exports LayoutItem

### LayoutItemToType

Re-exports LayoutItemToType

### LayoutToType

Re-exports LayoutToType

### LengthPrefixedArrayLayoutItem

Re-exports LengthPrefixedArrayLayoutItem

### LengthPrefixedBytesLayoutItem

Re-exports LengthPrefixedBytesLayoutItem

### NamedLayoutItem

Re-exports NamedLayoutItem

### NumLayoutItem

Re-exports NumLayoutItem

### ObjectLayoutItem

Re-exports ObjectLayoutItem

### OptionalToFromNumLayoutItem

Re-exports OptionalToFromNumLayoutItem

### UintLayoutItem

Re-exports UintLayoutItem

### addFixedValues

Re-exports addFixedValues

### calcLayoutSize

Re-exports calcLayoutSize

### deserializeLayout

Re-exports deserializeLayout

### dynamicItemsOfLayout

Re-exports dynamicItemsOfLayout

### fixedItemsOfLayout

Re-exports fixedItemsOfLayout

### layoutDiscriminator

Re-exports layoutDiscriminator

### serializeLayout

Re-exports serializeLayout

Generated using TypeDoc